icegridnode(1)

NAME

icegridnode - The IceGrid node server.

SYNOPSIS

icegridnode [options]

DESCRIPTION

An IceGrid node is a process that activates, monitors, and deactivates registered server processes. You can run any number of nodes in a domain, but typically there is one node per host. A node must be running on each host on which servers are activated automatically, and nodes cannot run without an IceGrid registry. The IceGrid node server is implemented by the icegridnode executable. If you wish to run a registry and node in one process, icegridnode is the executable you must use. Full documentation for icegridnode is available online at:
https://doc.zeroc.com/ice/3.7/ice-services/icegrid/icegrid-server-reference/icegridnode

OPTIONS

-h, --help
    Displays help message.

-v, --version
    Displays the Ice version.

--daemon
    Run as a daemon.

--pidfile FILE
    Write process ID into FILE.

--noclose
    Do not close open file descriptors.

--nochdir
    Do not change the current working directory.

--nowarn
    Do not print security warnings.

--readonly
    Start the collocated master registry in read-only mode.

--initdb-from-replica REPLICA
    Initialize the collocated registry database from the given replica.

--deploy DESCRIPTOR [TARGET1 [TARGET2 ...]]
    Add or update descriptor in file DESCRIPTOR, with optional targets.

SEE ALSO

icegridadmin(1), icegriddb(1), icegridregistry(1)